gi-gsk-4.0.9: Gsk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gsk.Objects.RoundedClipNode

Contents

- Exported types
- Methods
  - getChild
  - getClip
  - new

Description

A render node applying a rounded rectangle clip to its single child.

Synopsis

- newtype RoundedClipNode = RoundedClipNode (ManagedPtr RoundedClipNode)
- class (BoxedPtr o, TypedObject o, IsDescendantOf RoundedClipNode o) => IsRoundedClipNode o
- toRoundedClipNode :: (MonadIO m, IsRoundedClipNode o) => o -> m RoundedClipNode
- roundedClipNodeGetChild :: (HasCallStack, MonadIO m, IsRoundedClipNode a) => a -> m RenderNode
- roundedClipNodeGetClip :: (HasCallStack, MonadIO m, IsRoundedClipNode a) => a -> m RoundedRect
- roundedClipNodeNew :: (HasCallStack, MonadIO m, IsRenderNode a) => a -> RoundedRect -> m RoundedClipNode

# Exported types

newtype RoundedClipNode Source #

Memory-managed wrapper type.

Constructors

RoundedClipNode (ManagedPtr RoundedClipNode) |

#### Instances

Instances details

Eq RoundedClipNode Source # |
Instance details Defined in GI.Gsk.Objects.RoundedClipNode Methods (==) :: RoundedClipNode -> RoundedClipNode -> Bool Source # (/=) :: RoundedClipNode -> RoundedClipNode -> Bool Source #
BoxedPtr RoundedClipNode Source # |
Instance details Defined in GI.Gsk.Objects.RoundedClipNode Methods boxedPtrCopy :: RoundedClipNode -> IO RoundedClipNode Source # boxedPtrFree :: RoundedClipNode -> IO () Source #
ManagedPtrNewtype RoundedClipNode Source # |
Instance details Defined in GI.Gsk.Objects.RoundedClipNode Methods toManagedPtr :: RoundedClipNode -> ManagedPtr RoundedClipNode Source #
TypedObject RoundedClipNode Source # |
Instance details Defined in GI.Gsk.Objects.RoundedClipNode Methods glibType :: IO GType Source #
HasParentTypes RoundedClipNode Source # |
Instance details Defined in GI.Gsk.Objects.RoundedClipNode
type ParentTypes RoundedClipNode Source # |
Instance details Defined in GI.Gsk.Objects.RoundedClipNode type ParentTypes RoundedClipNode = '[RenderNode]

class (BoxedPtr o, TypedObject o, IsDescendantOf RoundedClipNode o) => IsRoundedClipNode o Source #

Type class for types which can be safely cast to `RoundedClipNode`, for instance with `toRoundedClipNode`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf RoundedClipNode o) => IsRoundedClipNode o Source # |
Instance details Defined in GI.Gsk.Objects.RoundedClipNode

toRoundedClipNode :: (MonadIO m, IsRoundedClipNode o) => o -> m RoundedClipNode Source #

Cast to `RoundedClipNode`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

draw, ref, serialize, unref, writeToFile.

#### Getters

getBounds, getChild, getChildren, getClip, getNodeType, getOpaqueRect.

#### Setters

None.

## getChild

roundedClipNodeGetChild Source #

Arguments

:: (HasCallStack, MonadIO m, IsRoundedClipNode a) |
=> a | `node`: a rounded clip `GskRenderNode`
-> m RenderNode | Returns: The child that is getting clipped

Gets the child node that is getting clipped by the given `node`.

## getClip

roundedClipNodeGetClip Source #

Arguments

:: (HasCallStack, MonadIO m, IsRoundedClipNode a) |
=> a | `node`: a rounded clip `GskRenderNode`
-> m RoundedRect | Returns: a rounded rectangle

Retrieves the rounded rectangle used to clip the contents of the `node`.

## new

roundedClipNodeNew Source #

Arguments

:: (HasCallStack, MonadIO m, IsRenderNode a) |
=> a | `child`: The node to draw
-> RoundedRect | `clip`: The clip to apply
-> m RoundedClipNode | Returns: A new `GskRenderNode`

Creates a `GskRenderNode` that will clip the `child` to the area given by `clip`.